Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.xml
Class XStreamComponentInstanceFactory

    java.lang.Object
      org.nanocontainer.script.xml.XStreamComponentInstanceFactory

All Implemented Interfaces:
  XMLComponentInstanceFactory

Direct Known Subclasses:
  PureJavaXStreamComponentInstanceFactory

    public class XStreamComponentInstanceFactory

extends Object
implements XMLComponentInstanceFactory

Implementation of XMLComponentInstanceFactory that uses XStream to unmarshal DOM elements.

Author:
  Paul Hammant, Marcos Tarruella, Mauro Talevi

Constructor Summary
`XStreamComponentInstanceFactory()` Creates an XStreamComponentInstanceFactory with the default instance of XStream
`XStreamComponentInstanceFactory(com.thoughtworks.xstream.XStream xstream)` Creates an XStreamComponentInstanceFactory for a given instance of XStream

Method Summary
`Object` | `makeInstance(org.picocontainer.PicoContainer pico, Element element, ClassLoader classLoader)` Creates an instance of an Object from a DOM Element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XStreamComponentInstanceFactory

    public XStreamComponentInstanceFactory()

  Creates an XStreamComponentInstanceFactory with the default instance of XStream

### XStreamComponentInstanceFactory

    public XStreamComponentInstanceFactory(com.thoughtworks.xstream.XStream xstream)

  Creates an XStreamComponentInstanceFactory for a given instance of XStream

  Parameters:
    `xstream` - the XStream instance

Method Detail

### makeInstance

    public Object makeInstance(org.picocontainer.PicoContainer pico,
                               Element element,
                               ClassLoader classLoader)
                        throws ClassNotFoundException

  Creates an instance of an Object from a DOM Element

  Specified by:
    `makeInstance` in interface `XMLComponentInstanceFactory`
    `element` - the DOM Element
  Returns:
    An Object instance
  Throws:
    `ClassNotFoundException`
  See Also:
    `XMLComponentInstanceFactory.makeInstance(org.picocontainer.PicoContainer,org.w3c.dom.Element,ClassLoader)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.